#pragma once
#include "afxwin.h"
#include "..//dll/r2k.h"
//#pragma comment(lib, "..//dll/r2k.lib")


// CTagAccess 对话框

class CTagAccess : public CPropertyPage
{
	DECLARE_DYNAMIC(CTagAccess)

public:
	CTagAccess();
	virtual ~CTagAccess();

// 对话框数据
	enum { IDD = IDD_TAGACCESS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_bank;
	CComboBox m_begin;
	CComboBox m_length;
	int m_dataLength;
	virtual BOOL OnInitDialog(void);
	afx_msg void OnCbnSelchangeComboBank();
	afx_msg void OnCbnSelchangeComboBegin();
	virtual BOOL OnSetActive();
	afx_msg void OnBnClickedBtnRead();
	afx_msg void OnBnClickedBtnWrite();
	afx_msg void OnBnClickedBtnLock();
	afx_msg void OnBnClickedBtnKill();
	CString m_pwd;
	CComboBox m_locktype;
	CComboBox m_oprarea;
	CString m_data;
	afx_msg void OnEnChangeEditData();
	CEdit m_ctlData;
	CString m_lockpwd;
	CString m_killpwd;
	afx_msg void OnBnClickedBtnClrdata();
	CString m_killAccPwd;
	BOOL CharIsValid(CString& str);
};
